import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeChangeLinkStateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeChangeLinkStateProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def change_link_state(
        self,
        *,
        interface: str,
        state: _nested.LinkState,
        vm_id: int,
    ) -> CloudapiComputeChangeLinkStateResultBool:
        ...
